%% SatNOGS COMMS - Test Report Table
%% Copyright (C) 2023 Libre Space Foundation
%%
%% This work is licensed under a
%% Creative Commons Attribution-ShareAlike 4.0 International License.
%%
%% You should have received a copy of the license along with this
%% work.  If not, see <http://creativecommons.org/licenses/by-sa/4.0/>.

{%- set result = [
  'PCB v0.2::Pass',
  'PCB v0.2::Fail',
  'PCB v0.2::Not Tested',
  'PCB v0.3::Pass',
  'PCB v0.3::Fail',
  'PCB v0.3::Not Tested',
  'PCB v0.3.1::Pass',
  'PCB v0.3.1::Fail',
  'PCB v0.3.1::Not Tested'
]
%}

\providecommand{\tightlist}{
\setlength{\itemsep}{0pt}\setlength{\parskip}{0pt}}

\newcommand{\tcmatrix}{
{%- for item in issues if 'Approved' in item.labels %}
  \tccomprec{{ '{' }}{{item.id}}}{{ '{' }}{{ item.labels | select('in', result) | join(', ') | replace('PCB', '') }}}{{ '{' }}}
  \\ {% if not loop.last %}\midrule{% else %}\bottomrule{% endif %}
{%- endfor %}
}

\newcommand{\tccmatrix}{
{%- for item in issues if 'confirmed' in item.labels %}
  \tccomprec{{ '{' }}{{item.id}}}{{ '{' }}{{ item.labels | select('in', result) | join(', ') | replace('PCB', '') }}}{{ '{' }}}
  \\ {% if not loop.last %}\midrule{% else %}\bottomrule{% endif %}
{%- endfor %}
}
